# delimiter-regex [![NPM version](https://img.shields.io/npm/v/delimiter-regex.svg?style=flat)](https://www.npmjs.com/package/delimiter-regex) [![NPM downloads](https://img.shields.io/npm/dm/delimiter-regex.svg?style=flat)](https://npmjs.org/package/delimiter-regex) [![Build Status](https://img.shields.io/travis/jonschlinkert/delimiter-regex.svg?style=flat)](https://travis-ci.org/jonschlinkert/delimiter-regex)

Create regex for template delimiters.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save delimiter-regex
```

## Usage

```js
var delims = require('delimiter-regex');
```

**Example**:

Get a regex for matching front-matter:

```js
delims('---', '---');
//=> /---\s*([\s\S]*?)\s*---/
```

If no args are passed, es6 delimiter regex is returned:

```js
delims();
//=> /\$\{\s*([\s\S]*?)\s*\}/
```

## Params

* **delimiters** `{String|Array}`: supports array format (`delims([''])`) or list (`delims('')`)
* **options**: currently RegExp `flags` is the only option

**Flags example**

```js
delims('', {flags: 'gm'});
//=> /\{\{([^}}]*)\}\}/gm
```

## About

### Related projects

Are you using Update in your project? Have you published an [updater](https://github.com/update/update/blob/master/docs/updaters.md) and want to share your Update project with the world? Here are some suggestions:

* If you get like Update and want to tweet about it, please use the hashtag `#updatejs` (not `@`)
* Get implementation help on [StackOverflow](http://stackoverflow.com/questions/tagged/update) (please use the `updatejs` tag in questions)
* **Gitter** Discuss Update with us on [Gitter](https://gitter.im/update/update)
* If you publish an updater, thank you! To make your project as discoverable as possible, please add the keyword `updateupdater` to package.json.

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

### Building docs

_(This document was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme) (a [verb](https://github.com/verbose/verb) generator), please don't edit the readme directly. Any changes to the readme must be made in [.verb.md](.verb.md).)_

To generate the readme and API documentation with [verb](https://github.com/verbose/verb):

```sh
$ npm install -g verb verb-generate-readme && verb
```

### Running tests

Install dev dependencies:

```sh
$ npm install -d && npm test
```

### Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

### License

Copyright © 2016, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT license](https://github.com/jonschlinkert/delimiter-regex/blob/master/LICENSE).

***

_This file was generated by [verb](https://github.com/verbose/verb), v0.9.0, on July 22, 2016._